hpp-core: hpp::core::CollisionValidationReport Struct Reference

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
hpp::core::CollisionValidationReport Struct Reference
Validation of configurations and paths

`#include <hpp/core/collision-validation-report.hh>`

Inheritance diagram for hpp::core::CollisionValidationReport:
[legend]
Collaboration diagram for hpp::core::CollisionValidationReport:
[legend]

## Public Member Functions
| CollisionValidationReport ()
| CollisionValidationReport (CollisionObjectConstPtr_t o1, CollisionObjectConstPtr_t o2, const coal::CollisionResult &r)
| CollisionValidationReport (const CollisionPair_t &pair, const coal::CollisionResult &r)
virtual std::ostream & | print (std::ostream &os) const
| Write report in a stream.
std::pair< std::string, std::string > | getObjectNames () const
Public Member Functions inherited from hpp::core::ValidationReport
virtual | ~ValidationReport ()

## Public Attributes
CollisionObjectConstPtr_t | object1
| First object in collision.
std::string | objectName1
CollisionObjectConstPtr_t | object2
| Second object in collision.
std::string | objectName2
coal::CollisionResult | result
| coal collision results

## Detailed Description

Validate a configuration with respect to collision

## Constructor & Destructor Documentation

## ◆ CollisionValidationReport() [1/3]

hpp::core::CollisionValidationReport::CollisionValidationReport | ( |  | ) |
| inline

## ◆ CollisionValidationReport() [2/3]

hpp::core::CollisionValidationReport::CollisionValidationReport | ( | CollisionObjectConstPtr_t | o1,
|  | CollisionObjectConstPtr_t | o2,
|  | const coal::CollisionResult & | r
| ) |  |
| inline

## ◆ CollisionValidationReport() [3/3]

hpp::core::CollisionValidationReport::CollisionValidationReport | ( | const CollisionPair_t & | pair,
|  | const coal::CollisionResult & | r
| ) |  |
| inline

## Member Function Documentation

## ◆ getObjectNames()

std::pair< std::string, std::string > hpp::core::CollisionValidationReport::getObjectNames | ( |  | ) | const
| inline

## ◆ print()

virtual std::ostream & hpp::core::CollisionValidationReport::print | ( | std::ostream & | os | ) | const
| inlinevirtual

Write report in a stream.

Implements hpp::core::ValidationReport.

Reimplemented in hpp::core::AllCollisionsValidationReport.

## Member Data Documentation

## ◆ object1

CollisionObjectConstPtr_t hpp::core::CollisionValidationReport::object1

First object in collision.

## ◆ object2

CollisionObjectConstPtr_t hpp::core::CollisionValidationReport::object2

Second object in collision.

## ◆ objectName1

std::string hpp::core::CollisionValidationReport::objectName1

## ◆ objectName2

std::string hpp::core::CollisionValidationReport::objectName2

## ◆ result

coal::CollisionResult hpp::core::CollisionValidationReport::result

coal collision results

The documentation for this struct was generated from the following file:

- include/hpp/core/collision-validation-report.hh